Class | Compass::Compiler
In: | lib/compass/compiler.rb
Parent: | Object

### Methods

clean! compile compile_if_required corresponding_css_file css_files determine_cache_location engine error_contents handle_exception needs_update? new new_config? out_of_date? relative_stylesheet_name run sass_files should_compile? show_full_exception? stylesheet_name target_directories timed

### Included Modules

Actions

### Attributes

from | [RW] |
importer | [RW] |
options | [RW] |
sass_options | [RW] |
staleness_checker | [RW] |
to | [RW] |
working_path | [RW] |

### Public Class methods

new(working_path, from, to, options)

### Public Instance methods

clean!()
compile(sass_filename, css_filename)

Compile one Sass file

compile_if_required(sass_filename, css_filename)
corresponding_css_file(sass_file)
css_files()
determine_cache_location()
engine(sass_filename, css_filename)

A sass engine for compiling a single file.

error_contents(e, sass_filename)

Haml refactored this logic in 2.3, this is backwards compatibility for either one

handle_exception(sass_filename, css_filename, e)

Place the syntax error into the target css file, formatted to display in the browser (in development mode) if there‘s an error.

needs_update?(css_filename, sass_filename)
new_config?()

Determines if the configuration file is newer than any css file

out_of_date?()

Returns the sass file that needs to be compiled, if any.

relative_stylesheet_name(sass_file)
run()
sass_files(options = {})
should_compile?(sass_filename, css_filename)
show_full_exception?()

We don‘t want to show the full exception in production environments.

stylesheet_name(sass_file)
target_directories()
timed() {|| ...}

[Validate]